{
  "beginDataItemName" : "begin",
  "codeName" : "GanttTree",
  "controlType" : "GANTT",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder/PSGANTTS/GanttTree.json",
  "endDataItemName" : "end",
  "finishDataItemName" : "finish",
  "logicName" : "甘特图",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
  },
  "getPSDETreeColumns" : [ {
    "caption" : "名称",
    "codeName" : "name",
    "columnType" : "DEFGRIDCOLUMN",
    "dataItemName" : "name",
    "name" : "name",
    "width" : 280,
    "widthUnit" : "px",
    "enableExpand" : false,
    "enableSort" : false
  }, {
    "caption" : "标识",
    "codeName" : "datakey",
    "columnType" : "DEFGRIDCOLUMN",
    "dataItemName" : "datakey",
    "name" : "datakey",
    "width" : 280,
    "widthUnit" : "px",
    "enableExpand" : false,
    "enableSort" : false
  }, {
    "caption" : "更新日期",
    "codeName" : "end",
    "columnType" : "DEFGRIDCOLUMN",
    "dataItemName" : "end",
    "name" : "end",
    "width" : 280,
    "widthUnit" : "px",
    "enableExpand" : false,
    "enableSort" : false
  }, {
    "caption" : "新建时间",
    "codeName" : "begin",
    "columnType" : "DEFGRIDCOLUMN",
    "dataItemName" : "begin",
    "name" : "begin",
    "width" : 280,
    "widthUnit" : "px",
    "enableExpand" : false,
    "enableSort" : false
  } ],
  "getPSDETreeNodeRSs" : [ {
    "getChildPSDETreeNode" : {
      "modelref" : true,
      "id" : "orderData"
    },
    "name" : "默认根节点 - 订单数据",
    "getParentPSDETreeNode" : {
      "modelref" : true,
      "id" : "ROOT"
    },
    "parentValueLevel" : 1,
    "searchMode" : 3
  }, {
    "getChildPSDETreeNode" : {
      "modelref" : true,
      "id" : "orderDetailData"
    },
    "name" : "订单数据 - 订单明细数据",
    "getParentPSAppDEField" : {
      "name" : "IBIZORDERID",
      "codeName" : "IBIZOrderId"
    },
    "getParentPSDER1N" : {
      "codeName" : "IBIZORDER",
      "dERType" : "DER1N",
      "dynaModelFilePath" : "PSMODULES/Sample/PSDATAENTITIES/IBIZOrderDetail/PSDERS/DER1N_IBIZORDERDETAIL_IBIZORDER_IBIZORDERID.json",
      "masterOrder" : -1,
      "masterRS" : 0,
      "minorCodeName" : "IBIZORDERDETAILS",
      "name" : "DER1N_IBIZORDERDETAIL_IBIZORDER_IBIZORDERID",
      "orderValue" : 100,
      "pickupDEFName" : "IBIZORDERID",
      "removeActionType" : 3,
      "removeOrder" : 0
    },
    "getParentPSDETreeNode" : {
      "modelref" : true,
      "id" : "orderData"
    },
    "parentValueLevel" : 1,
    "searchMode" : 3
  } ],
  "getPSDETreeNodes" : [ {
    "counterMode" : 0,
    "getIdPSAppDEField" : {
      "name" : "IBIZORDERID",
      "codeName" : "IBIZOrderId"
    },
    "maxSize" : -1,
    "name" : "订单数据",
    "nodeType" : "orderData",
    "getPSAppDEDataSet" : {
      "modelref" : true,
      "id" : "FetchDefault"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
    },
    "getPSDETreeNodeDataItems" : [ {
      "cLConvertMode" : "NONE",
      "dataType" : 25,
      "name" : "name",
      "getPSAppDEField" : {
        "name" : "IBIZORDERNAME",
        "codeName" : "IBIZOrderName"
      }
    }, {
      "cLConvertMode" : "NONE",
      "dataType" : 25,
      "name" : "end",
      "getPSAppDEField" : {
        "name" : "UPDATEDATE",
        "codeName" : "UpdateDate"
      }
    }, {
      "cLConvertMode" : "NONE",
      "dataType" : 25,
      "name" : "datakey",
      "getPSAppDEField" : {
        "name" : "ORDERUID",
        "codeName" : "OrderUID"
      }
    }, {
      "cLConvertMode" : "NONE",
      "dataType" : 25,
      "name" : "begin",
      "getPSAppDEField" : {
        "name" : "CREATEDATE",
        "codeName" : "CreateDate"
      }
    } ],
    "getTextPSAppDEField" : {
      "name" : "IBIZORDERNAME",
      "codeName" : "IBIZOrderName"
    },
    "treeNodeType" : "DE",
    "hasPSDETreeNodeRSs" : true,
    "appendPNodeId" : false,
    "disableSelect" : false,
    "enableCheck" : false,
    "enableEditData" : false,
    "enableNewData" : false,
    "enableQuickCreate" : false,
    "enableQuickSearch" : false,
    "enableRemoveData" : false,
    "enableViewData" : false,
    "expandFirstOnly" : false,
    "expanded" : false,
    "rootNode" : false,
    "selectFirstOnly" : false,
    "selected" : false,
    "id" : "orderData"
  }, {
    "counterMode" : 0,
    "name" : "默认根节点",
    "nodeType" : "ROOT",
    "nodeValue" : "root",
    "text" : "默认根节点",
    "treeNodeType" : "STATIC",
    "hasPSDETreeNodeRSs" : true,
    "appendPNodeId" : false,
    "disableSelect" : false,
    "enableCheck" : false,
    "enableEditData" : false,
    "enableNewData" : false,
    "enableQuickCreate" : false,
    "enableQuickSearch" : false,
    "enableRemoveData" : false,
    "enableViewData" : false,
    "expandFirstOnly" : false,
    "expanded" : false,
    "rootNode" : true,
    "selectFirstOnly" : false,
    "selected" : false,
    "id" : "ROOT"
  }, {
    "counterMode" : 0,
    "getIdPSAppDEField" : {
      "name" : "IBIZORDERDETAILID",
      "codeName" : "IBIZOrderDetailId"
    },
    "maxSize" : -1,
    "name" : "订单明细数据",
    "nodeType" : "orderDetailData",
    "getPSAppDEDataSet" : {
      "modelref" : true,
      "id" : "FetchDefault"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrderDetail.json"
    },
    "getPSDETreeNodeDataItems" : [ {
      "cLConvertMode" : "NONE",
      "dataType" : 25,
      "name" : "end",
      "getPSAppDEField" : {
        "name" : "UPDATEDATE",
        "codeName" : "UpdateDate"
      }
    }, {
      "cLConvertMode" : "NONE",
      "dataType" : 25,
      "name" : "begin",
      "getPSAppDEField" : {
        "name" : "CREATEDATE",
        "codeName" : "CreateDate"
      }
    }, {
      "cLConvertMode" : "NONE",
      "dataType" : 25,
      "name" : "datakey",
      "getPSAppDEField" : {
        "name" : "IBIZORDERDETAILID",
        "codeName" : "IBIZOrderDetailId"
      }
    }, {
      "cLConvertMode" : "NONE",
      "dataType" : 25,
      "name" : "name",
      "getPSAppDEField" : {
        "name" : "IBIZORDERDETAILNAME",
        "codeName" : "IBIZOrderDetailName"
      }
    } ],
    "getTextPSAppDEField" : {
      "name" : "IBIZORDERDETAILNAME",
      "codeName" : "IBIZOrderDetailName"
    },
    "treeNodeType" : "DE",
    "hasPSDETreeNodeRSs" : false,
    "appendPNodeId" : false,
    "disableSelect" : false,
    "enableCheck" : false,
    "enableEditData" : false,
    "enableNewData" : false,
    "enableQuickCreate" : false,
    "enableQuickSearch" : false,
    "enableRemoveData" : false,
    "enableViewData" : false,
    "expandFirstOnly" : false,
    "expanded" : false,
    "rootNode" : false,
    "selectFirstOnly" : false,
    "selected" : false,
    "id" : "orderDetailData"
  } ],
  "prevDataItemName" : "prev",
  "sNDataItemName" : "sn",
  "totalDataItemName" : "total",
  "treeGridMode" : 2,
  "enableRootSelect" : false,
  "outputIconDefault" : true,
  "rootVisible" : false,
  "modelid" : "aa2cb5cf16d99bc919ca3daf49f8f032",
  "modeltype" : "PSDEGANTT"
}